##// END OF EJS Templates
test-check-code-hg: skip test if not in a working dir (issue3248).
Greg Ward -
r16179:be6ac2ec stable
parent child Browse files
Show More
@@ -1,6 +1,9 b''
1 $ check_code="$TESTDIR"/../contrib/check-code.py
1 $ check_code="$TESTDIR"/../contrib/check-code.py
2 $ cd "$TESTDIR"/..
2 $ cd "$TESTDIR"/..
3
3 $ if ! hg identify -q > /dev/null; then
4 > echo "skipped: not a Mercurial working dir" >&2
5 > exit 80
6 > fi
4 $ hg manifest | xargs "$check_code" || echo 'FAILURE IS NOT AN OPTION!!!'
7 $ hg manifest | xargs "$check_code" || echo 'FAILURE IS NOT AN OPTION!!!'
5
8
6 $ hg manifest | xargs "$check_code" --warnings --nolineno --per-file=0 || true
9 $ hg manifest | xargs "$check_code" --warnings --nolineno --per-file=0 || true
General Comments 0
You need to be logged in to leave comments. Login now